Bug 443944 - nautilus-cd-burner delete files if you try to *move* them on cd creator window
nautilus-cd-burner delete files if you try to *move* them on cd creator window
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-24 05:09 EDT by nyarlathotep
Modified: 2015-03-03 17:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 07:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nyarlathotep 2008-04-24 05:09:25 EDT
Description of problem:

pressing shift key while drag and dropping stuffs to be burned on the
nautilus-cd-burner virtual volume window actually equals deleted stuffs..


so i was preparing to burn a backup cd, and i wanted to add my ~/.filezilla/
directory to the CD, using nautilus-cd-burner, when i drag and dropped the
.filezilla drawer, i pressed shift without realizing what i was doing.. so now
the .filezilla drawer have been "moved" on the nautilus CD creation window and
deleted from my home in the same time .  
 
how can i get back that directory ? 
where nautilus keep temporarly data to be burned ?
nautilus accepted to move files to a space where they couldn't be moved..

the result is: i asked nautilus to move some files and it deleted them.



Version-Release number of selected component (if applicable):


How reproducible:



Steps to Reproduce:
1.put a blank cd in your burner, open cd creator window
2. move a dir or some files while pressing shift key
3. the data have been deleted ..
  
Actual results:
resources deleted

Expected results:
resources to be just moved. not deleted
and if they can't be mmoved then a popup alert whatever reporting aout the danger

Additional info:
crap i did something really stupid ;)
Comment 1 jmccann 2008-04-24 10:36:08 EDT
Oh man.  That's not good.

Haven't confirmed yet but moving to nautilus component.
Comment 2 Matthias Clasen 2008-04-24 22:50:48 EDT
It seems that
libnautilus-private/nautilus-file-operations.c:nautilus_file_operations_copy_move lost
the special handling for "target_is_mapping".
Comment 3 Tomáš Bžatek 2008-05-02 07:41:06 EDT
Fixed in nautilus-2.22.2-6.fc9 - added workaround to mask move operations to
"burn" URIs as copy ops. This should match the behaviour in Fedora 8 or
nautilus-2.20.

Note You need to log in before you can comment on or make changes to this bug.